using System;

namespace Nesusedni
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s1 = Console.ReadLine().Split();
            char c1 = char.Parse(s1[0]);
            char c2 = char.Parse(s1[1]);
            string[] s2 = Console.ReadLine().Split();
            int a1 = int.Parse(s2[0]);
            int a2 = int.Parse(s2[1]);
            string s="";
            if (a1 == a2 + 1)
            {
                for (int i = 0; i < a1; i++)
                {
                    s += c1;
                    if (i < a2)
                        s += c2;
                }
                Console.WriteLine(s);
            }
            else if (a1 + 1 == a2)
            {
                for (int i = 0; i < a2; i++)
                {
                    s += c2;
                    if (i < a1)
                        s += c1;
                }
                Console.WriteLine(s);
            }
            else if (a1 == a2)
            {
                for (int i = 0; i < a1 + a2; i += 2)
                {
                    s += c1;
                    s += c2;
                }
                Console.WriteLine(s);
            }
            else
            {
                Console.WriteLine("nemoguce");
            }
        }
    }
}